{% extends 'main_app/base.html' %}

{% load static %}

{% block specific_css %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.7/css/select2.min.css" rel="stylesheet"/>
{% endblock specific_css %}

{% block content %}

    <div class="container">
        <div class="row my-5">
            <div class="col-1"></div>
            <div class="col-10">
                <h1>New Course</h1>
                {% if form.errors %}
                    {% for field in form %}
                        {% for error in field.errors %}
                            <div class="alert alert-danger">
                                <strong>{{ error|escape }}</strong>
                            </div>
                        {% endfor %}
                    {% endfor %}
                    {% for error in form.non_field_errors %}
                        <div class="alert alert-danger">
                            <strong>{{ error|escape }}</strong>
                        </div>
                    {% endfor %}
                {% endif %}
                <form method="post">
                    {% csrf_token %}
                    <div class="form-group">
                        <label for="id_name">Course Name <span class="required_field">*</span></label>
                        {{ form.name }}
                    </div>
                    <div class="form-group">
                        <label for="id_code">Course Code <span class="required_field">*</span></label>
                        {{ form.code }}
                    </div>
                    <div class="form-group">
                        <label for="id_teachers">Teachers</label>
                        {{ form.teachers }}
                        <small id="teacher_select_help" class="form-text text-muted">You are going to be a teacher by
                            default.
                        </small>
                        <table class="table mt-3" id="teachers_table">
                            <thead>
                            <tr>
                                <th scope="col">Name</th>
                                <th scope="col">Email</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <td>{{ user.first_name }} {{ user.last_name }}</td>
                                <td>{{ user.email }}</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="form-group">
                        <label for="id_assistants">Assistants</label>
                        {{ form.assistants }}
                        <table class="table mt-3" id="assistants_table">
                            <thead>
                            <tr>
                                <th scope="col">Name</th>
                                <th scope="col">Email</th>
                            </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                    <button type="submit" class="btn btn-primary">Submit</button>
                </form>
            </div>
            <div class="col-1"></div>
        </div>
    </div>

{% endblock content %}

{% block specific_js %}
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.7/js/select2.min.js"></script>
    <script type="text/javascript" src="{% static "courses/js/course_form.js" %}"></script>

    <script>
        $("#create_course_light").css("font-weight", "Bold");
    </script>

{% endblock specific_js %}